### Method

# Handy TabView set_default_icon

since: 1.2

#### Declaration [src]

    void
    hdy_tab_view_set_default_icon (
      HdyTabView* self,
      GIcon* default_icon
    )

#### Description [src]

Sets default page icon for `self`.

If a page doesn’t provide its own icon via `HdyTabPage:icon`, default icon may be used instead for contexts where having an icon is necessary.

`HdyTabBar` will use default icon for pinned tabs in case the page is not loading, doesn’t have an icon and an indicator. Default icon is never used for tabs that aren’t pinned.

By default, `hdy-tab-icon-missing-symbolic` icon is used.

Available since: 1.2

Sets property | `Handy.TabView:default-icon`

#### Parameters

`default_icon`

  Type: `GIcon`

  The default icon.

  The data is owned by the caller of the method.